﻿using System;
using Microsoft.Practices.Composite.Modularity;
using SL1.ModuleC.Views;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Composite.Regions;

namespace SL1.ModuleC
{
    public class CModule : IModule
    {
        private readonly IUnityContainer container;
        protected readonly IRegionManager regionManager;

        public CModule(IUnityContainer container, IRegionManager regionManager)
        {
            this.container = container;
            this.regionManager = regionManager;
        }

        public void Initialize()
        {
            this.RegisterViewsAndServices();

            for (int i = 0; i < 5; i++)
                this.regionManager.Regions["TabRegion"].Add(this.container.Resolve<CView>(), "C" + i.ToString(), true);
        }

        protected void RegisterViewsAndServices()
        {

        }
    }
}
