﻿using System;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Composite.Regions;

namespace SL1.ModuleC.Views
{
    public class CViewModel
    {
        protected readonly IUnityContainer container;
        protected readonly IRegionManager regionManager;

        public CViewModel(IRegionManager regionManager, IUnityContainer container)
        {
            this.regionManager = regionManager;
            this.container = container;

            IRegion tabRegion = regionManager.Regions["TabRegion"];
            object existingView = tabRegion.GetView("C1");
        }

        public CView View { get; set; }

        public static string HeaderInfo
        {
            get { return "bjq"; }
        }
    }
}
