﻿using System;
using System.Windows;
using Microsoft.Practices.Composite.UnityExtensions;
using Microsoft.Practices.Composite.Modularity;

namespace SilverlightApplication1
{
    internal class Bootstrapper : UnityBootstrapper
    {
        protected override DependencyObject CreateShell()
        {
            Shell shell = this.Container.Resolve<Shell>();

            Application.Current.RootVisual = shell;
            return shell;
        }

        //protected override void InitializeModules()
        //{
        //    //IModule employeeModule = this.Container.Resolve<AModule>();
        //    //employeeModule.Initialize();

        //    //IModule projectModule = this.Container.Resolve<BModule>();
        //    //projectModule.Initialize();
        //}

        protected override IModuleCatalog GetModuleCatalog()
        {
            return
                ModuleCatalog.CreateFromXaml(
                    new Uri("/SilverlightApplication1;component/ModulesCatalog.xaml", UriKind.Relative));
        }
    }
}