﻿using System;
using Microsoft.Practices.Composite.Modularity;
using SL1.ModuleB.Views;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Composite.Regions;

namespace SL1.ModuleB
{
    public class BModule : IModule
    {
        private readonly IUnityContainer container;
        protected readonly IRegionManager regionManager;

        public BModule(IUnityContainer container, IRegionManager regionManager)
        {
            this.container = container;
            this.regionManager = regionManager;
        }

        public void Initialize()
        {
            this.RegisterViewsAndServices();

            this.regionManager.Regions["TabRegion"].Add(this.container.Resolve<BView>());
        }

        protected void RegisterViewsAndServices()
        {

        }
    }
}
